<!DOCTYPE html>
<html
		xmlns:th="http://www.thymeleaf.org"
		xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
		layout:decorate="~{layouts/guest.html}"
>
<head>
	<title layout:title-pattern="$CONTENT_TITLE - $LAYOUT_TITLE">
		Select Role
	</title>
</head>
<body layout:fragment="content">
<!-- toggle theme btn -->
<button
		id="toggle-theme"
		class="absolute z-50 right-0 md:top-0 bottom-10 md:bottom-0 my-auto h-24 w-9 shadow-lg rounded-tl-lg rounded-bl-lg bg-white dark:bg-gray-900 text-gray-400 hover:bg-gray-100 dark:hover:bg-gray-700 focus:outline-none focus:ring-4 focus:ring-gray-200 dark:focus:ring-gray-700 text-sm"
>
	<div id="theme-toggle-dark-icon" class="flex flex-col items-center">
		<svg
				class="w-5 h-5 mb-2"
				aria-hidden="true"
				xmlns="http://www.w3.org/2000/svg"
				width="24"
				height="24"
				fill="none"
				viewBox="0 0 24 24"
		>
			<path
					stroke="currentColor"
					stroke-linecap="round"
					stroke-linejoin="round"
					stroke-width="2"
					d="M12 21a9 9 0 0 1-.5-17.986V3c-.354.966-.5 1.911-.5 3a9 9 0 0 0 9 9c.239 0 .254.018.488 0A9.004 9.004 0 0 1 12 21Z"
			/>
		</svg>
		<span class="rotate-90">Dark</span>
	</div>
	<div
			id="theme-toggle-light-icon"
			class="flex flex-col items-center gap-1"
	>
		<svg
				class="w-5 h-5 mb-2"
				aria-hidden="true"
				xmlns="http://www.w3.org/2000/svg"
				width="24"
				height="24"
				fill="none"
				viewBox="0 0 24 24"
		>
			<path
					stroke="currentColor"
					stroke-linecap="round"
					stroke-linejoin="round"
					stroke-width="2"
					d="M12 5V3m0 18v-2M7.05 7.05 5.636 5.636m12.728 12.728L16.95 16.95M5 12H3m18 0h-2M7.05 16.95l-1.414 1.414M18.364 5.636 16.95 7.05M16 12a4 4 0 1 1-8 0 4 4 0 0 1 8 0Z"
			/>
		</svg>
		<span class="rotate-90">Light</span>
	</div>
</button>
<div class="container mx-auto px-4">
	<div
			class="flex flex-col items-center justify-center py-8 mx-auto lg:h-screen lg:py-0"
	>
		<div
				class="grid grid-cols-12 bg-white rounded-xl shadow-lg dark:border border-gray-800 overflow-hidden w-full max-w-screen-md my-8 dark:bg-gray-900"
		>
			<div class="col-span-4 bg-blue-600 h-full hidden md:block">
				<img
						class="h-full object-cover opacity-15"
						th:src="@{'/img/pattern.svg'}"
						alt=""
				/>
			</div>
			<div
					class="col-span-12 md:col-span-8 p-6 md:p-8 flex items-center justify-center"
			>
				<div class="w-full max-w-screen-sm">
					<a th:href="@{'/'}" class="inline-flex items-center mb-10">
						<img
								th:src="@{'/img/logo-icon.svg'}"
								class="h-14 mr-3"
								alt="Smile Logo"
						/>
						<p class="text-5xl font-semibold text-gray-900 dark:text-white">
							SMILE
						</p>
					</a>
					<h1
							class="text-3xl font-semibold leading-tight text-gray-800 dark:text-gray-200"
					>

						Selamat Datang di Aplikasi Smile Tazkia.
					</h1>
					<p class="mt-1 text-gray-600 dark:text-gray-400 mb-12">
						Silahkan pilih role untuk melanjutkan ke aplikasi Smile Tazkia :
					</p>
					<!-- fitur -->
					<div class="w-full h-14 mb-12 overflow-hidden">
						<!--                        <form id="roleForm" th:action="@{/setAuthority}" method="post">-->
						<ul
								class="flex gap-4 h-20 p-1 overflow-x-scroll horizontal-scrollable-container text-gray-700 dark:text-gray-400"
						>
							<li th:each="role : ${availableRoles}">
								<form th:action="@{/onboard/setAuthority}" method="post">
									<button th:text="${role.name}"
											th:name="selectedRole"
											th:value="${role.id}"
											type="submit"
											class="select-role-button py-2.5 px-5 mb-2 text-sm font-medium select-none whitespace-nowrap text-gray-900 focus:outline-none bg-white rounded-lg border border-gray-200 hover:bg-gray-100 hover:text-blue-700 focus:z-10 focus:ring-4 focus:ring-gray-100 dark:focus:ring-gray-700 dark:bg-gray-800 dark:text-gray-400 dark:border-gray-600 dark:hover:text-white dark:hover:bg-gray-700"
									>
										Kaprodi
									</button>
								</form>
							</li>
						</ul>
						<!--                        </form>-->
					</div>
					<!-- login button -->
					<a
							href="javascript: document.logout.submit()"
							class="flex items-center justify-center gap-2 text-white bg-blue-700 hover:bg-blue-800 focus:ring-4 focus:outline-none focus:ring-blue-300 font-medium rounded-lg text-sm px-4 py-2 text-center dark:bg-blue-600 dark:hover:bg-blue-700 dark:focus:ring-blue-800"
					>Sign Out
					</a>
					<form name="logout" th:action="@{/logout}" method="post" th:hidden="true">
						<input hidden type="submit" value="Sign Out"/>
					</form>
				</div>
			</div>
		</div>
	</div>
</div>
</body>
</html>